## Class TCommandEventParameter

Description

TCommandEventParameter class

TCommandEventParameter encapsulates the parameter data for Command event of button controls. You can access the name of the command via CommandName property, and the parameter carried with the command via CommandParameter property.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 2246)

    TComponent
       |
       --TEventParameter
          |
          --TCommandEventParameter

Direct descendents

Class | Description
--- | ---
TDataGridCommandEventParameter | TDataGridCommandEventParameter class
TDataListCommandEventParameter | TDataListCommandEventParameter class
TRepeaterCommandEventParameter | TRepeaterCommandEventParameter class

Method Summary
TCommandEventParameter __construct ([string $name = ''], [string $parameter = ''])
string getCommandName ()
string getCommandParameter ()
Methods
Constructor __construct (line 2256)

Constructor.

- access: public

TCommandEventParameter __construct ([string $name = ''], [string $parameter = ''])

- string $name: name of the command
- string $parameter: parameter of the command

Redefined in descendants as:

- TDataGridCommandEventParameter::__construct() : Constructor.
- TDataListCommandEventParameter::__construct() : Constructor.
- TRepeaterCommandEventParameter::__construct() : Constructor.

getCommandName (line 2265)

- return: name of the command
- access: public

string getCommandName ()
getCommandParameter (line 2273)

- return: parameter of the command
- access: public

string getCommandParameter ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:07 -0400 by phpDocumentor 1.3.0RC4